Package opennlp.tools.cmdline.chunker

# Class ChunkEvaluationErrorListener

java.lang.Object
opennlp.tools.cmdline.EvaluationErrorPrinter<opennlp.tools.chunker.ChunkSample>
opennlp.tools.cmdline.chunker.ChunkEvaluationErrorListener

All Implemented Interfaces:
  `opennlp.tools.chunker.ChunkerEvaluationMonitor`, `opennlp.tools.util.eval.EvaluationMonitor<opennlp.tools.chunker.ChunkSample>`

public class ChunkEvaluationErrorListener extends opennlp.tools.cmdline.EvaluationErrorPrinter<opennlp.tools.chunker.ChunkSample> implements opennlp.tools.chunker.ChunkerEvaluationMonitor
A default implementation of `EvaluationMonitor` that prints to an output stream.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ChunkEvaluationErrorListener()`
  Creates a listener that will print to the configured `logger`.
  `ChunkEvaluationErrorListener(OutputStream outputStream)`
  Creates a listener that will print to a given `OutputStream`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `misclassified(opennlp.tools.chunker.ChunkSample reference, opennlp.tools.chunker.ChunkSample prediction)`

  ### Methods inherited from class opennlp.tools.cmdline.EvaluationErrorPrinter

  `correctlyClassified`

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface opennlp.tools.util.eval.EvaluationMonitor

  `correctlyClassified`

- ## Constructor Details

  - ### ChunkEvaluationErrorListener

    public ChunkEvaluationErrorListener()
    Creates a listener that will print to the configured `logger`.

  - ### ChunkEvaluationErrorListener

    public ChunkEvaluationErrorListener(OutputStream outputStream)
    Creates a listener that will print to a given `OutputStream`

- ## Method Details

  - ### misclassified

    public void misclassified(opennlp.tools.chunker.ChunkSample reference, opennlp.tools.chunker.ChunkSample prediction)
    Specified by:
      `misclassified` in interface `opennlp.tools.util.eval.EvaluationMonitor<opennlp.tools.chunker.ChunkSample>`
    Specified by:
      `misclassified` in class `opennlp.tools.cmdline.EvaluationErrorPrinter<opennlp.tools.chunker.ChunkSample>`